MethodGrailsControllerHelper (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet.mvc
[Java] Class MethodGrailsControllerHelper

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.mvc.AbstractGrailsControllerHelper
          org.codehaus.groovy.grails.web.servlet.mvc.MethodGrailsControllerHelper

    public class MethodGrailsControllerHelper
    extends AbstractGrailsControllerHelper

Implements action invocation through Method.

Authors:
  Stephane Maldini

Since:
  2.0

Field Summary
`static java.lang.Class[]` | `NOARGS`

Fields inherited from class AbstractGrailsControllerHelper
application, applicationContext, developmentMode, grailsAttributes, servletContext

Method Summary
`protected java.lang.Object` | `invoke(groovy.lang.GroovyObject controller, java.lang.Object action)`
`protected java.lang.reflect.Method` | `retrieveAction(groovy.lang.GroovyObject controller, java.lang.String actionName, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class AbstractGrailsControllerHelper
executeAction, getControllerClassByName, getControllerClassByURI, getControllerInstance, getGrailsAttributes, getServletContext, handleAction, handleAction, handleActionResponse, handleURI, handleURI, invoke, retrieveAction, setApplicationContext, setGrailsApplication, setServletContext

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### NOARGS

    public static final java.lang.Class[] NOARGS

Method Detail

### invoke

    @java.lang.Override
    protected java.lang.Object invoke(groovy.lang.GroovyObject controller, java.lang.Object action)

### retrieveAction

    @java.lang.Override
    protected java.lang.reflect.Method retrieveAction(groovy.lang.GroovyObject controller, java.lang.String actionName, javax.servlet.http.HttpServletResponse response)

Groovy Documentation